package org.jboss.envers.demo.seam;

import org.jboss.seam.annotations.*;
import org.jboss.seam.ScopeType;
import org.jboss.envers.VersionsReader;
import org.jboss.envers.VersionsReaderFactory;

import javax.persistence.EntityManager;

/**
 * @author Adam Warski (adam at warski dot org)
 */
@Name("versionsReaderManager")
@Scope(ScopeType.CONVERSATION)
public class VersionsReaderManager {
    @In
    private EntityManager entityManager;

    @Factory(autoCreate = true)
    public VersionsReader getVersionsReader() {
        return VersionsReaderFactory.get(entityManager);    
    }
}
