package org.jboss.envers.demo.seam.wiki;

import org.jboss.envers.RevisionListener;
import org.jboss.seam.security.Identity;
import org.jboss.seam.Component;

/**
 * @author Adam Warski (adam at warski dot org)
 */
public class WikiRevisionListener implements RevisionListener {
    public void newRevision(Object revisionEntity) {
        WikiLog wikiLog = (WikiLog) revisionEntity;
        Identity identity = (Identity) Component.getInstance("org.jboss.seam.security.identity");

        wikiLog.setAuthor(identity.getUsername());
    }
}
